Bug 116680 - 2.6.3-* slab corruption
Summary: 2.6.3-* slab corruption
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-02-24 11:08 UTC by djh
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-22 06:26:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsmod output (2.00 KB, text/plain)
2004-02-24 13:06 UTC, djh
no flags Details

Description djh 2004-02-24 11:08:38 UTC
Feb 24 18:52:06 foo kernel: EXT3-fs warning (device hda7):
ext3_unlink: Deleting nonexistent file (912473), 0
Feb 24 18:52:07 foo kernel: Slab corruption: start=dd61ed40, len=640
Feb 24 18:52:07 foo kernel: Redzone: 0x5a2cf071/0x5a2cf071.
Feb 24 18:52:07 foo kernel: Last user:
[<c01815ba>](destroy_inode+0x36/0x45)
Feb 24 18:52:07 foo kernel: 090: d4 8e 5b df 6b 6b 6b 6b 6b 6b 6b 6b
6b 6b 6b 6b
Feb 24 18:52:07 foo kernel: Prev obj: start=dd61eab4, len=640
Feb 24 18:52:07 foo kernel: Redzone: 0x5a2cf071/0x5a2cf071.
Feb 24 18:52:07 foo kernel: Last user:
[<c01815ba>](destroy_inode+0x36/0x45)
Feb 24 18:52:07 foo kernel: 000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
6b 6b 6b 6b
Feb 24 18:52:07 foo kernel: 010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
6b 6b 6b 6b
Feb 24 18:52:07 foo kernel: Slab corruption: start=dd61ed40, len=640
Feb 24 18:52:07 foo kernel: Redzone: 0x5a2cf071/0x5a2cf071.
Feb 24 18:52:07 foo kernel: Last user:
[<c01815ba>](destroy_inode+0x36/0x45)
Feb 24 18:52:07 foo kernel: 090: d4 8e 5b df 6b 6b 6b 6b 6b 6b 6b 6b
6b 6b 6b 6b
Feb 24 18:52:07 foo kernel: Prev obj: start=dd61eab4, len=640
Feb 24 18:52:07 foo kernel: Redzone: 0x5a2cf071/0x5a2cf071.
Feb 24 18:52:07 foo kernel: Last user:
[<c01815ba>](destroy_inode+0x36/0x45)
Feb 24 18:52:07 foo kernel: 000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
6b 6b 6b 6b
Feb 24 18:52:07 foo kernel: 010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
6b 6b 6b 6b
...

This happened after about 1.5 hours of uptime on 2.6.3-1.97 (UP
AthlonXP system).  Haven't seen this occur with previous FC2test kernels.

Comment 1 Arjan van de Ven 2004-02-24 11:10:01 UTC
you're not using the nvidia bin only module, right ?
can we get an lsmod to reduce the number of suspects ?
(we need to get a list of candidates that can cause this corruption)

Comment 2 djh 2004-02-24 13:06:48 UTC
Created attachment 97992 [details]
lsmod output

I'm not using any binary-only modules.

Comment 3 djh 2004-02-26 04:21:53 UTC
I've been trying 2.6.3-1.100... So far no slab corruption errors, but
this message appeared when Mozilla crashed..

kernel: EXT3-fs warning (device hda7): ext3_unlink: Deleting
nonexistent file (1055573), 0

Comment 4 djh 2004-02-26 05:13:17 UTC
Guess I spoke too soon..  This appeared when installing some updates.
 (2.6.3-1.100)

Slab corruption: start=c34ad310, len=640
Redzone: 0x5a2cf071/0x5a2cf071.
Last user: [<c01816da>](destroy_inode+0x36/0x45)
090: 10 01 23 d7 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
Prev obj: start=c34ad084, len=640
Redzone: 0x5a2cf071/0x5a2cf071.
Last user: [<c01816da>](destroy_inode+0x36/0x45)
000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
Next obj: start=c34ad59c, len=640
Redzone: 0x5a2cf071/0x5a2cf071.
Last user: [<c01816da>](destroy_inode+0x36/0x45)
000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b


Comment 5 djh 2004-03-08 01:50:55 UTC
It's still happening, but not as frequently.  This was with 2.6.3-2.1.238.

22:43:48 EXT3-fs warning (device hda7): ext3_unlink: Deleting
nonexistent file (54046), 0
22:45:09 Slab corruption: start=106acd40, len=640
22:45:09 Redzone: 0x5a2cf071/0x5a2cf071.
22:45:09 Last user: [<0218600a>](destroy_inode+0x36/0x45)
22:45:09 090: d4 fe 59 21 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
22:45:09 Prev obj: start=106acab4, len=640
22:45:09 Redzone: 0x170fc2a5/0x170fc2a5.
22:45:09 Last user: [<228b5c4e>](ext3_alloc_inode+0xf/0x3c [ext3])
22:45:09 000: f0 11 02 00 00 00 00 00 00 00 00 00 00 00 00 00
22:45:09 010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00


Comment 6 Arjan van de Ven 2004-03-12 09:04:31 UTC
is this still happening ?


Comment 7 djh 2004-03-13 00:49:35 UTC
Yep (2.6.3-2.1.240).  I'm about to try 253.

Comment 8 djh 2004-03-22 06:26:59 UTC
I haven't seen it occur with 2.6.3-2.1.253 or 2.6.3-2.1.253.2.1, so
I'm closing this bug.

Comment 9 Danilo Lotina 2004-04-08 13:21:59 UTC
I've slab corruption related problem. I'm using  2.6.3-2.1.253.2.1
Intel P4. (firewall/routing machine)

Apr  7 16:16:29 FWNG02 kernel: Slab corruption: start=3ef721b4, 
len=2048
Apr  7 16:16:29 FWNG02 kernel: Redzone: 0x5a2cf071/0x5a2cf071.
Apr  7 16:16:29 FWNG02 kernel: Last user: [<0226de87>]
(kfree_skbmem+0x8/0x15)
Apr  7 16:16:29 FWNG02 kernel: 010: 6b 6b 28 a0 6b 6b 6b 6b 6b 6b 6b 
6b 6b 6b ee c0
Apr  7 16:16:29 FWNG02 kernel: 020: 6b 6b 00 02 b3 a2 0f 07 00 02 7d 
8c b4 00 08 00
Apr  7 16:16:29 FWNG02 kernel: 030: 45 00 00 e0 ba 17 40 00 7a 06 81 
f1 ce 30 19 8e
Apr  7 16:16:29 FWNG02 kernel: 040: c8 1d 14 33 13 6f 0c ea 18 f7 e0 
e3 57 5e 3c 0a
Apr  7 16:16:29 FWNG02 kernel: 050: 50 18 1f f0 03 58 00 00 b4 00 00 
00 03 49 4e 53
Apr  7 16:16:29 FWNG02 kernel: 060: 45 52 54 20 49 4e 54 4f 20 43 41 
4c 4c 44 45 54
Apr  7 16:16:29 FWNG02 kernel: Prev obj: start=3ef719a8, len=2048
Apr  7 16:16:29 FWNG02 kernel: Redzone: 0x5a2cf071/0x5a2cf071.
Apr  7 16:16:29 FWNG02 kernel: Last user: [<0226de87>]
(kfree_skbmem+0x8/0x15)
Apr  7 16:16:29 FWNG02 kernel: 000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 
6b 6b 6b 6b 6b
Apr  7 16:16:29 FWNG02 kernel: 010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 
6b 6b 6b 6b 6b
Apr  7 16:16:29 FWNG02 kernel: Next obj: start=3ef729c0, len=2048
Apr  7 16:16:29 FWNG02 kernel: Redzone: 0x170fc2a5/0x170fc2a5.
Apr  7 16:16:29 FWNG02 kernel: Last user: [<0226dcb8>]
(alloc_skb+0x32/0xc3)
Apr  7 16:16:29 FWNG02 kernel: 000: 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 
5a 5a 5a 5a 5a
Apr  7 16:16:29 FWNG02 kernel: 010: 5a 5a 28 a0 00 80 00 00 00 00 ff 
ff ff ff 83 c0



Note You need to log in before you can comment on or make changes to this bug.